using System;
using Aurora.Core.Domain.Entities;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System.Collections.Generic;

namespace Aurora.Core.EntityFramework.EntitiesConfig
{
    /// <summary>
    /// 类别 映射配置类
    /// </summary>
    public class CategoryMap : BaseEntityTypeConfiguration<Category>
    {
        public override void Map(EntityTypeBuilder<Category> builder)
        {
            builder.Property(x => x.Name).HasMaxLength(255).IsRequired();
            builder.Property(x => x.Remark).HasMaxLength(255).IsRequired();
        }
    }
}